using Hotline.Share.Dtos.Snapshot;

namespace Hotline.ThirdAccountDomainServices.Interfaces;

/// <summary>
/// 第三方认证服务
/// </summary>
public interface IThirdIdentiyService
{
    Task<ThirdTokenOutDto> GetTokenAsync(ThirdTokenDto dto, CancellationToken token);

    Task<ThirdPhoneOutDto> GetPhoneNumberAsync(ThirdTokenDto dto, CancellationToken token);
}
